package card_info_apple

import (
	"context"
	"kami/internal/model"
	"kami/internal/service"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) RechargeStealRuleAdd(ctx context.Context, req *v1.RechargeStealRuleAddReq) (res *v1.RechargeStealRuleAddRes, err error) {
	rechargeService := service.AppleOrder()
	err = rechargeService.AddStealRule(ctx, &model.StealRuleAddInput{
		RechargeStealRuleRecord: req.RechargeStealRuleRecord,
	})
	return
}
